# Lightbox Remastered

Ceci est un projet sur temps personnel traduisant ma réflexion sur le redesign des lightbox utilisés dans One et Neo. Le travail aboutit sur des maquettes faites main.  

Ce project est une maquette interactive visant à mieux définir le publicportement de la boite en fonction de regles de redimentionnements prenant en publicpte la taille d'affichage ( *Viewport* ), et les éléments contenu dans celle-ci, et adressant les problèmes actuellement rencontré à cet égards. Il sert de support de présentation.  

Par ailleurs, ce project est aussi un exercice de conception visuel et de design original et inspiré des codes de l'application One, visant a stimuler ma créativité et à me former sur les technologies du web. Cette exercice es uniquement présenté sous forme de suggestion.  

<p class="codepen" data-height="300" data-default-tab="result" data-slug-hash="YzNjwjB" data-preview="true" data-user="SimonPriet" style="height: 300px; box-sizing: border-box; display: flex; align-items: center; justify-content: center; border: 2px solid; margin: 1em 0; padding: 1em;">
  <span>See the Pen <a href="https://codepen.io/SimonPriet/pen/YzNjwjB">
  Lightbox Remastered demo</a> by Simon (<a href="https://codepen.io/SimonPriet">@SimonPriet</a>)
  on <a href="https://codepen.io">CodePen</a>.</span>
</p>
<script async src="https://cpwebassets.codepen.io/assets/embed/ei.js"></script>

## Galeries d'images

![Exemple de lightbox avec beaucoup de hauteur disponible](./public/readme_assets/Lightbox%201.png)

![Exemple de lightbox avec pas mal de hauteur disponible](./public/readme_assets/Lightbox%202.png)

![Exemple de lightbox avec suffisamment de hauteur disponible](./public/readme_assets/Lightbox%203.png)

![Exemple de lightbox avec peu de hauteur disponible](./public/readme_assets/Lightbox%204.png)

![Exemple de lightbox avec étroitement peu de hauteur disponible](./public/readme_assets/Lightbox%205.png)

![Exemple de lightbox avec insuffisamment de hauteur disponible](./public/readme_assets/Lightbox%206.png)


* Polices : Microsoft, Apple, Graig Rozynski, Purushoth Kumar Guttula
* Conception : Open Digital Education

